Jibri recording


Hello,
I’ve followed this link


All the setup is completed properly but I could not record video
Please guide me about it how can I solve this
Thanks

Did you install Prosody ? if not and if you are on Linux Ubuntu 18.04 & Ngninx, have a look at this post:

Error log

Reading package lists… Done
Building dependency tree
Reading state information… Done
jitsi-meet is already the newest version (2.0.4857-1).
The following packages were automatically installed and are no longer required:
linux-image-4.4.0-185-generic linux-modules-4.4.0-185-generic linux-modules-extra-4.4.0-185-generic
Use ‘sudo apt autoremove’ to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
3 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up prosody (0.9.10-1) …
Job for prosody.service failed because a timeout was exceeded. See “systemctl status prosody.service” and “journalctl -xe” for details.
invoke-rc.d: initscript prosody, action “start” failed.
● prosody.service - LSB: Prosody XMPP Server
Loaded: loaded (/etc/init.d/prosody; bad; vendor preset: enabled)
Active: failed (Result: timeout) since Tue 2020-07-21 11:54:04 UTC; 4ms ago
Docs: man:systemd-sysv-generator(8)
Process: 28418 ExecStart=/etc/init.d/prosody start (code=killed, signal=TERM)
Tasks: 5
Memory: 12.6M
CPU: 132ms
CGroup: /system.slice/prosody.service
├─27224 lua5.1 /usr/bin/prosody
├─27623 lua5.1 /usr/bin/prosody
├─27961 lua5.1 /usr/bin/prosody
└─28427 lua5.1 /usr/bin/prosody

Jul 21 11:53:02 ip-172-31-90-217 prosody[27213]: c2sc50e70 info Client disconnected: connection closed
Jul 21 11:53:02 ip-172-31-90-217 prosody[27213]: c2sa0a3b0 info Client connected
Jul 21 11:53:02 ip-172-31-90-217 prosody[27213]: c2sa0a3b0 info c2s stream for <127.0.0.1> closed: This server doe…calhost
Jul 21 11:53:02 ip-172-31-90-217 prosody[27213]: c2sa0a3b0 info Client disconnected: connection closed
Jul 21 11:53:02 ip-172-31-90-217 prosody[27213]: c2sc8dae0 info Client connected
Jul 21 11:53:02 ip-172-31-90-217 prosody[27213]: c2sc8dae0 info c2s stream for <127.0.0.1> closed: This server doe…calhost
Jul 21 11:54:04 ip-172-31-90-217 systemd[1]: prosody.service: Start operation timed out. Terminating.
Jul 21 11:54:04 ip-172-31-90-217 systemd[1]: Failed to start LSB: Prosody XMPP Server.
Jul 21 11:54:04 ip-172-31-90-217 systemd[1]: prosody.service: Unit entered failed state.
Jul 21 11:54:04 ip-172-31-90-217 systemd[1]: prosody.service: Failed with result ‘timeout’.
Hint: Some lines were ellipsized, use -l to show in full.
dpkg: error processing package prosody (–configure):
subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of jitsi-meet-prosody:
jitsi-meet-prosody depends on prosody | prosody-trunk | prosody-0.11; however:
Package prosody is not configured yet.
Package prosody-trunk is not installed.
Package prosody-0.11 is not installed.

dpkg: error processing package jitsi-meet-prosody (–configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of jitsi-meet:
jitsi-meet depends on jitsi-meet-prosody (= 1.0.4289-1); however:
Package jitsi-meet-prosody is not configured yet.

dpkg: error processing package jitsi-meet (–configure):
dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
No apport report written because th
e error message indicates its a followup error from a previous failure.
Errors were encountered while processing:
prosody
jitsi-meet-prosody
jitsi-meet
E: Sub-process /usr/bin/dpkg returned an error code (1)

Hello How can i solve this one ??
Please guide mee

Saving debug log to /var/log/letsencrypt/letsencrypt.log
Plugins selected: Authenticator webroot, Installer None
Obtaining a new certificate
Performing the following challenges:
http-01 challenge for ac.jitsi.chat
Using the webroot path /usr/share/jitsi-meet for all unmatched domains.
Waiting for verification…
Challenge failed for domain ac.jitsi.chat
http-01 challenge for ac.jitsi.chat
Cleaning up challenges
Some challenges have failed.

IMPORTANT NOTES:

  • The following errors were reported by the server:

    Domain: ac.jitsi.chat
    Type: connection
    Detail: Fetching
    http://ac.jitsi.chat/.well-known/acme-challenge/c74JQ53Ek1vlb4fKvHV6FG0bVHt-XsUukeHXlqdIhTg:
    Connection refused

    To fix these errors, please make sure that your domain name was
    entered correctly and the DNS A/AAAA record(s) for that domain
    contain(s) the right IP address. Additionally, please check that
    your computer has a publicly routable IP address and that no
    firewalls are preventing the server from communicating with the
    client. If you’re using the webroot plugin, you should also verify
    that you are serving files from the webroot path you provided.

  • Your account credentials have been saved in your Certbot
    configuration directory at /etc/letsencrypt. You should make a
    secure backup of this folder now. This configuration directory will
    also contain certificates and private keys obtained by Certbot so
    making regular backups of this folder is ideal.

Hello
Hello sir,
Please help me about install jitsi-meet
when I execute this command
sudo /usr/share/jitsi-meet/scripts/install-letsencrypt-cert.sh

Faced this error log…

Saving debug log to /var/log/letsencrypt/letsencrypt.log
Plugins selected: Authenticator webroot, Installer None
Obtaining a new certificate
Performing the following challenges:
http-01 challenge for jitsi.artificial.chat
Using the webroot path /usr/share/jitsi-meet for all unmatched domains.
Waiting for verification…
Challenge failed for domain jitsi.artificial.chat
http-01 challenge for jitsi.artificial.chat
Cleaning up challenges
Some challenges have failed.

IMPORTANT NOTES:

Well, I don’t work with letsencrypt, but I would say that it has something todo with rights on the .well-known directory.

Can you share me those link install jitsi and jibri in ubuntu 18.04
Because in ubuntu 18.04 can not find snd/aloop file
so can you please share those you tube link ??

Here is the link:
Nerds on the street : Recording & streaming for Jitsi

I’ve faced this error in ubuntu 18.04
how can I solve this please give me step

Would you please describe which session I need

Run these commands

sudo su -l
whoami
modprobe snd-aloop

If you don’t load snd-aloop module, probably the suitable linux-modules-extras package is not installed.